--- old/usr/src/uts/i86pc/io/apix/apix.c	2014-03-02 12:33:06.730220434 -0500
+++ new/usr/src/uts/i86pc/io/apix/apix.c	2014-03-02 12:33:06.736031294 -0500
@@ -347,13 +347,6 @@
 	return ((uintptr_t)(apix_vector->v_autovect));
 }
 
-#if defined(__amd64)
-static unsigned char dummy_cpu_pri[MAXIPL + 1] = {
-	0, 0, 0, 0, 0, 0, 0, 0,
-	0, 0, 0, 0, 0, 0, 0, 0, 0
-};
-#endif
-
 static void
 apix_init()
 {
@@ -370,12 +363,11 @@
 	psm_get_ioapicid = apic_get_ioapicid;
 
 	apix_softinit();
-#if defined(__amd64)
-	CPU->cpu_pri_data = dummy_cpu_pri;
-#else
+
+#if !defined(__amd64)
 	if (cpuid_have_cr8access(CPU))
 		apic_have_32bit_cr8 = 1;
-#endif	/* __amd64 */
+#endif
 
 	/*
 	 * Initialize IRM pool parameters
--- old/usr/src/uts/i86pc/io/pcplusmp/apic.c	2014-03-02 12:33:06.970922461 -0500
+++ new/usr/src/uts/i86pc/io/pcplusmp/apic.c	2014-03-02 12:33:06.976425249 -0500
@@ -143,10 +143,6 @@
 uchar_t	apic_ipltopri[MAXIPL + 1];	/* unix ipl to apic pri	*/
 	/* The taskpri to be programmed into apic to mask given ipl */
 
-#if defined(__amd64)
-static unsigned char dummy_cpu_pri[MAXIPL + 1];
-#endif
-
 /*
  * Correlation of the hardware vector to the IPL in use, initialized
  * from apic_vectortoipl[] in apic_init().  The final IPLs may not correlate
@@ -300,12 +296,11 @@
 		/* fill up any empty ipltopri slots */
 		apic_ipltopri[j] = (i << APIC_IPL_SHIFT) + APIC_BASE_VECT;
 	apic_init_common();
-#if defined(__amd64)
-	CPU->cpu_pri_data = dummy_cpu_pri;
-#else
+
+#if !defined(__amd64)
 	if (cpuid_have_cr8access(CPU))
 		apic_have_32bit_cr8 = 1;
-#endif	/* __amd64 */
+#endif
 }
 
 static void
--- old/usr/src/uts/i86pc/ml/offsets.in	2014-03-02 12:33:07.176089426 -0500
+++ new/usr/src/uts/i86pc/ml/offsets.in	2014-03-02 12:33:07.181540899 -0500
@@ -223,14 +223,10 @@
 	cpu_m.mcpu_tss		CPU_TSS
 	cpu_m.mcpu_softinfo	CPU_SOFTINFO
 	cpu_m.mcpu_pri		CPU_PRI
-	cpu_m.mcpu_pri_data	CPU_PRI_DATA
 #if defined(__xpv)
 	cpu_m.mcpu_vcpu_info	CPU_VCPU_INFO
 #endif
 
-machcpu
-	mcpu_pri_data	MCPU_PRI_DATA
-
 standard_pic
 	c_curmask
 	c_iplmask
--- old/usr/src/uts/i86pc/os/mlsetup.c	2014-03-02 12:33:07.346969150 -0500
+++ new/usr/src/uts/i86pc/os/mlsetup.c	2014-03-02 12:33:07.352444453 -0500
@@ -77,14 +77,6 @@
 extern uint32_t cpuid_feature_edx_exclude;
 
 /*
- * Dummy spl priority masks
- */
-static unsigned char dummy_cpu_pri[MAXIPL + 1] = {
-	0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
-	0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf
-};
-
-/*
  * Set console mode
  */
 static void
@@ -129,13 +121,6 @@
 #endif
 
 	/*
-	 * Set up dummy cpu_pri_data values till psm spl code is
-	 * installed.  This allows splx() to work on amd64.
-	 */
-
-	cpu[0]->cpu_pri_data = dummy_cpu_pri;
-
-	/*
 	 * check if we've got special bits to clear or set
 	 * when checking cpu features
 	 */
--- old/usr/src/uts/i86pc/os/mp_startup.c	2014-03-02 12:33:07.520334163 -0500
+++ new/usr/src/uts/i86pc/os/mp_startup.c	2014-03-02 12:33:07.526056941 -0500
@@ -412,11 +412,6 @@
 	}
 
 	/*
-	 * Get interrupt priority data from cpu 0.
-	 */
-	cp->cpu_pri_data = CPU->cpu_pri_data;
-
-	/*
 	 * alloc space for cpuid info
 	 */
 	cpuid_alloc_space(cp);
--- old/usr/src/uts/i86pc/sys/machcpuvar.h	2014-03-02 12:33:07.742190685 -0500
+++ new/usr/src/uts/i86pc/sys/machcpuvar.h	2014-03-02 12:33:07.747694796 -0500
@@ -62,7 +62,6 @@
  * Note:  This is kinda kludgy but seems to be the best
  * of our alternatives.
  */
-typedef void *cpu_pri_lev_t;
 
 struct cpuid_info;
 struct cpu_ucode_info;
@@ -91,9 +90,6 @@
 
 	int		mcpu_nodeid;		/* node-id */
 	int		mcpu_pri;		/* CPU priority */
-	cpu_pri_lev_t	mcpu_pri_data;		/* ptr to machine dependent */
-						/* data for setting priority */
-						/* level */
 
 	struct hat	*mcpu_current_hat; /* cpu's current hat */
 
@@ -165,7 +161,6 @@
 
 #define	cpu_nodeid cpu_m.mcpu_nodeid
 #define	cpu_pri cpu_m.mcpu_pri
-#define	cpu_pri_data cpu_m.mcpu_pri_data
 #define	cpu_current_hat cpu_m.mcpu_current_hat
 #define	cpu_hat_info cpu_m.mcpu_hat_info
 #define	cpu_ppaddr_mutex cpu_m.mcpu_ppaddr_mutex
